{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
           
            $.ajax({
                method: "GET",
                url: "{% url "lab-7:get-friend-list" %}",
                success: function (response) {
					var lst = response.friend_list;
					
					$(lst).each(function(index,x){
						html = '<a class="list-group-item clearfix" id='+'friend_'+x.id+'>'+x.friend_name+' ('+x.npm+')'+
						'<span class="pull-right"><span class="btn btn-xs btn-default" onClick="deleteFriend('+x.id+')">Delete sebagai teman</span></span></a>'
						$("#friend-list").append(html)
					});
                },
                error: function(error){
				 
                    
                }
            });
        });
		
		var deleteFriend = function(id) {
        $.ajax({
            method: "GET", 
            url: "/lab-7/delete-friend/"+id,
           
            success : function () {	
				$("#friend_"+id).remove()
            }
        });
    };
		
    </script>
{% endblock %}
